## org.eclipse.datatools.sqltools.sql.parser.util
Class ParserUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.util.ParserUtil

    public class ParserUtil

extends java.lang.Object

Author:
  Hui Cao

Constructor Summary
`ParserUtil()`

Method Summary
`static java.lang.String` `getErrorMessage(Token currentToken)` Assemble the syntax error message for the SQL parser.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserUtil

    public ParserUtil()

Method Detail

### getErrorMessage

    public static java.lang.String getErrorMessage(Token currentToken)

  Assemble the syntax error message for the SQL parser.

  Parameters:
    `currentToken` - the current token that has been successfully consumed by the parser
  Returns:
    the syntax error message